Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataObjectWriter Class Reference

`#include <vtkDataObjectWriter.h>`

Inheritance diagram for vtkDataObjectWriter:

[legend]
Collaboration diagram for vtkDataObjectWriter:

[legend]
List of all members.

## Detailed Description

write vtk field data

Date:
  2002/11/21 16:14:01

Revision:
  1.21

vtkDataObjectWriter is a source object that writes ASCII or binary field data files in vtk format. Field data is a general form of data in matrix form.

Warning:
  Binary files written on one system may not be readable on other systems.

See also:
  vtkFieldData vtkFieldDataReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (81%)
  - Lorensen, Bill (7%)
  - Cedilnik, Andy (6%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkDataObjectWriter.h)`
  - .`cxx` (`/IO/vtkDataObjectWriter.cxx)`

Tests:
  vtkDataObjectWriter (Tests)

Definition at line 54 of file vtkDataObjectWriter.h.

## Public Types
typedef vtkWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkDataObject *input)
vtkDataObject * | GetInput ()
void | SetFileName (const char *filename)
char * | GetFileName ()
void | SetHeader (char *header)
char * | GetHeader ()
void | SetFileType (int type)
int | GetFileType ()
void | SetFileTypeToASCII ()
void | SetFileTypeToBinary ()
void | SetFieldDataName (char *fieldname)
char * | GetFieldDataName ()
## Static Public Methods
vtkDataObjectWriter * | New ()
int | IsTypeOf (const char *type)
vtkDataObjectWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataObjectWriter ()
| ~vtkDataObjectWriter ()
void | WriteData ()
## Protected Attributes
vtkDataWriter * | Writer

## Member Typedef Documentation

typedef vtkWriter vtkDataObjectWriter::Superclass

| Reimplemented from vtkWriter. Definition at line 58 of file vtkDataObjectWriter.h.

## Constructor & Destructor Documentation

vtkDataObjectWriter::vtkDataObjectWriter | ( |  | ) | `[protected]`

vtkDataObjectWriter::~vtkDataObjectWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkDataObjectWriter* vtkDataObjectWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkDataObjectWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkWriter.

int vtkDataObjectWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWriter.

virtual int vtkDataObjectWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkWriter.

vtkDataObjectWriter* vtkDataObjectWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkWriter.

void vtkDataObjectWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkWriter.

void vtkDataObjectWriter::SetInput | ( | vtkDataObject * | input | ) |

| Set / get the input data or filter.

vtkDataObject* vtkDataObjectWriter::GetInput | ( |  | ) |

| Set / get the input data or filter. Reimplemented from vtkWriter.

void vtkDataObjectWriter::SetFileName | ( | const char * | filename | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 69 of file vtkDataObjectWriter.h.

char* vtkDataObjectWriter::GetFileName | ( |  | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 70 of file vtkDataObjectWriter.h.

void vtkDataObjectWriter::SetHeader | ( | char * | header | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 71 of file vtkDataObjectWriter.h.

char* vtkDataObjectWriter::GetHeader | ( |  | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 72 of file vtkDataObjectWriter.h.

void vtkDataObjectWriter::SetFileType | ( | int | type | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 73 of file vtkDataObjectWriter.h.

int vtkDataObjectWriter::GetFileType | ( |  | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 74 of file vtkDataObjectWriter.h.

void vtkDataObjectWriter::SetFileTypeToASCII | ( |  | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 75 of file vtkDataObjectWriter.h.

void vtkDataObjectWriter::SetFileTypeToBinary | ( |  | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 76 of file vtkDataObjectWriter.h.

void vtkDataObjectWriter::SetFieldDataName | ( | char * | fieldname | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 77 of file vtkDataObjectWriter.h.

char* vtkDataObjectWriter::GetFieldDataName | ( |  | ) | `[inline]`

| Methods delegated to vtkDataWriter, see vtkDataWriter. Definition at line 78 of file vtkDataObjectWriter.h.

void vtkDataObjectWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkWriter.

## Member Data Documentation

vtkDataWriter* vtkDataObjectWriter::Writer`[protected]`

| Definition at line 86 of file vtkDataObjectWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkDataObjectWriter.h